import request from '@/utils/request'

// 查询产品树信息列表
export function listProduct(query) {
  return request({
    url: '/manage/product/list',
    method: 'get',
    params: query
  })
}

// 查询产品树信息详细
export function getProduct(id) {
  return request({
    url: '/manage/product/' + id,
    method: 'get'
  })
}

// 新增产品树信息
export function addProduct(data) {
  return request({
    url: '/manage/product',
    method: 'post',
    data: data
  })
}

// 修改产品树信息
export function updateProduct(data) {
  return request({
    url: '/manage/product',
    method: 'put',
    data: data
  })
}

// 删除产品树信息
export function delProduct(id) {
  return request({
    url: '/manage/product/' + id,
    method: 'delete'
  })
}
